import React from 'react'

export default (props) => {
  React.useEffect(() => {
    const baseUrl = import.meta.env.BASE_URL;
    const oScript = document.createElement("script");
    oScript.type = "text\/javascript";
    oScript.onload = () => {
      particlesJS.load('particles-js', `${baseUrl}particles/particles.json`, function() {
        console.log('callback - particles.js config loaded');
      });
    }
    document.querySelector('head').appendChild(oScript);
    oScript.src = `${baseUrl}particles/particles.min.js`;

    return () => {
      document.querySelector('head').removeChild(oScript);
    }
  }, [])

  return (
    <div id="particles-js"></div>
  )
}
